%global api     1.0
%global major   0
%define libname %mklibname template_glib %{api} %{major}
%define girname %mklibname template-gir %{api}
%define devname %mklibname -d template_glib %{api}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		template-glib
Version:	3.36.3
Release:	%mkrel 1
Summary:	A templating library for GLib
Group:		Graphical desktop/GNOME

License:	LGPLv2+
URL:		https://git.gnome.org/browse/template-glib/
Source0:	https://download.gnome.org/sources/template-glib/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	vala
BuildRequires:	vala-tools

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)


%description
Template-GLib is a templating library for GLib. It includes a simple template
format along with integration into GObject-Introspection for properties and
methods. It separates the parsing of templates and the expansion of templates
for faster expansion. You can also define scope, custom functions, and more
with the embedded expression language.

%package	i18n
Summary:	Internationalization and locale data for %{name}
Group:		System/Internationalization
BuildArch:	noarch

%description	i18n
Internationalization and locale data for %{name}.

%package        -n %{libname}
Summary:	Library for %{name}
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}

%description    -n %{libname}
Template-GLib is a templating library for GLib. It includes a simple template
format along with integration into GObject-Introspection for properties and
methods. It separates the parsing of templates and the expansion of templates
for faster expansion. You can also define scope, custom functions, and more
with the embedded expression language.

%package	-n %{girname}
Summary:	GObject introspection interface library for Template
Group:		System/Libraries

%description	-n %{girname}
GObject introspection interface library for Template.

%package        -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description    -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
%meson -Dgtk_doc=true
%meson_build


%install
%meson_install

%find_lang template-glib


%files i18n -f template-glib.lang

%files -n %{libname}
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/libtemplate_glib-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Template-%{api}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/template-glib
%{_datadir}/gir-1.0/Template-%{api}.gir
%{_datadir}/vala/vapi/template-glib-%{api}.*
%{_includedir}/*
%{_libdir}/libtemplate_glib-%{api}.so
%{_libdir}/pkgconfig/template-glib-%{api}.pc


%changelog
* Wed Jan 08 2025 daviddavid <daviddavid> 3.36.3-1.mga10
+ Revision: 2136112
- new version 3.36.3

* Sun Mar 17 2024 daviddavid <daviddavid> 3.36.2-1.mga10
+ Revision: 2050182
- new version 3.36.2

* Sat Apr 22 2023 tmb <tmb> 3.36.1-1.mga9
+ Revision: 1954146
- update to 3.36.1

* Tue Sep 20 2022 wally <wally> 3.36.0-1.mga9
+ Revision: 1890789
- new version 3.36.0

* Sat Mar 19 2022 ovitters <ovitters> 3.34.1-1.mga9
+ Revision: 1799149
- new version 3.34.1

* Thu Mar 17 2022 umeabot <umeabot> 3.34.0-3.mga9
+ Revision: 1797087
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1531135
- Mageia 8 Mass Rebuild

* Tue Sep 10 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439210
- new version 3.34.0

* Sat Sep 07 2019 daviddavid <daviddavid> 3.33.92-1.mga8
+ Revision: 1438082
- new version 3.33.92

* Thu Apr 18 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392938
- Rebuild with meson 0.50.1

* Wed Mar 13 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1375175
- new version 3.32.0

* Fri Mar 08 2019 daviddavid <daviddavid> 3.31.91-1.mga7
+ Revision: 1372767
- new version 3.31.91

* Wed Sep 05 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1257244
- new version 3.30.0

* Wed Mar 14 2018 wally <wally> 3.28.0-3.mga7
+ Revision: 1209498
- add more conflicts for i18n pkg

* Wed Mar 14 2018 wally <wally> 3.28.0-2.mga7
+ Revision: 1209483
- fix pkg names (include api)
- split out gir typelib and translations from lib pkg
- don't own system dirs

* Wed Mar 14 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1209132
- new version 3.28.0

* Tue Feb 27 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1205542
- new version 3.27.90

* Thu Sep 21 2017 tv <tv> 3.26.0-3.mga7
+ Revision: 1156551
- reenable debuginfo

* Thu Sep 21 2017 tv <tv> 3.26.0-2.mga7
+ Revision: 1156538
- imported package template-glib


* Thu Sep 21 2017 Thierry Vignaud <tv@mageia.org> 3.26.0-1.mga7
- import from FC
- disable debuginfo

* Tue Sep 12 2017 Yanko Kaneti <yaneti@declera.com> - 3.26.0-1
- Update to 3.26.0

* Tue Sep  5 2017 Yanko Kaneti <yaneti@declera.com> - 3.25.92-1
- Update to 3.25.92

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.25.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.25.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 19 2017 Yanko Kaneti <yaneti@declera.com> - 3.25.3-1
- Update to 3.25.3

* Fri Jun  9 2017 Yanko Kaneti <yaneti@declera.com> - 3.25.2-2
- Address package review issues (#1460189) - -2
- Initial spec
